Self-serve contractor payments
Self Serve List Invoices For Review
Lists all org invoices for admin review with batch eligibility, derived payment status and USD equivalents.
POSThttps://api.toku.com/hris/self-serve-list-invoices-for-review
Required scope: invoices:read
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-list-invoices-for-review' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"status": "DRAFT",
"excludeBatched": false,
"tokuContractorCryptoOnly": false,
"summaryOnly": true
}'200 response
{
"invoices": [
{
"invoicePaymentID": "string",
"invoiceNumber": "string",
"invoiceDate": "string",
"dueDate": "string",
"totalAmount": "string",
"currencyCode": "string",
"status": "string",
"contractorName": "string",
"contractorEmail": "string",
"submissionTimestamp": "string",
"approvalRevision": 0,
"reason": "string",
"rejectionReason": "string",
"autoApproved": true,
"lineItems": [
{
"invoicePaymentLineItemID": "string",
"description": "string",
"quantity": 0,
"unitPrice": 0,
"amount": 0,
"taxAmount": 0,
"discountAmount": 0,
"total": 0,
"category": "string",
"paymentMethodType": "BANK_TRANSFER",
"hrisBankAccountID": "string",
"cryptoCurrency": "string",
"cryptoNetwork": "string",
"merchant": "string",
"spentAmount": "string",
"spentCurrencyCode": "string",
"fxRate": "string",
"expensedDate": "string"
}
],
"notes": "string",
"roleInOrgID": "string",
"groupedTotals": {
"bankTotals": [
{
"currencyCode": "string",
"total": "string"
}
],
"cryptoTotals": [
{
"tokenSymbol": "string",
"networkName": "string",
"total": "string"
}
]
},
"usdEquivalent": 0,
"isPaymentBatchEligible": true,
"isTokuContractorCryptoInvoice": true,
"derivedPaymentStatus": "string",
"batchEligibility": {
"isBatchEligible": true,
"reason": "string",
"selectedReceiveRouteTokenTypeID": "string",
"selectedReceiveRouteLabel": "string"
},
"duplicateCandidates": [
{
"invoicePaymentID": "string",
"invoiceNumber": "string",
"invoiceDate": "string",
"totalAmount": "string",
"currencyCode": "string",
"status": "string",
"matchType": "EXACT_AMOUNT"
}
],
"invoiceVersion": "string",
"approvalRouting": {
"invoiceVersion": "string",
"steps": [
{
"stepOrder": 0,
"kind": "string",
"approverName": "string",
"fallsBackToAdmins": true,
"state": "approved",
"approvedByName": "string",
"approvedByOverride": true
}
],
"currentStepOrder": 0,
"requiredApprovals": 0,
"approvalsCounted": 0,
"waitingOn": "string"
}
}
],
"total": 0,
"statusCounts": {
"all": 0,
"pending": 0,
"approved": 0,
"completed": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
statusstringAvailable options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, FAILED, COMPLETED
excludeBatchedbooleanDefault: false
tokuContractorCryptoOnlybooleanDefault: false
summaryOnlybooleanResponse
200Successful response
invoicesobject[]requiredShow child attributes
invoicePaymentIDstringrequiredinvoiceNumberstring | nullinvoiceDatestring | nulldueDatestring | nulltotalAmountstring | nullcurrencyCodestring | nullstatusstring | nullcontractorNamestring | nullcontractorEmailstring | nullsubmissionTimestampstring | nullapprovalRevisionnumber | nullreasonstring | nullrejectionReasonstring | nullautoApprovedboolean | nulllineItemsarray | nullShow child attributes
invoicePaymentLineItemIDstring | nulldescriptionstring | nullquantitynumber | nullunitPricenumber | nullamountnumber | nulltaxAmountnumber | nulldiscountAmountnumber | nulltotalnumber | nullcategorystring | nullpaymentMethodTypestring | nullAvailable options: BANK_TRANSFER, CRYPTO_WALLET, null
hrisBankAccountIDstring | nullcryptoCurrencystring | nullcryptoNetworkstring | nullmerchantstring | nullspentAmountstring | nullspentCurrencyCodestring | nullfxRatestring | nullexpensedDatestring | nullnotesstring | nullroleInOrgIDstring | nullattachmentsanyrequiredgroupedTotalsobject | nullShow child attributes
bankTotalsarray | nullShow child attributes
currencyCodestring | nulltotalstring | nullcryptoTotalsarray | nullShow child attributes
tokenSymbolstring | nullnetworkNamestring | nulltotalstring | nullusdEquivalentnumber | nullisPaymentBatchEligibleboolean | nullisTokuContractorCryptoInvoiceboolean | nullderivedPaymentStatusstring | nullbatchEligibilityobject | nullShow child attributes
isBatchEligibleboolean | nullreasonstring | nullselectedReceiveRouteTokenTypeIDstring | nullselectedReceiveRouteLabelstring | nullduplicateCandidatesarray | nullShow child attributes
invoicePaymentIDstring | nullinvoiceNumberstring | nullinvoiceDatestring | nulltotalAmountstring | nullcurrencyCodestring | nullstatusstring | nullmatchTypestring | nullAvailable options: EXACT_AMOUNT, SIMILAR_AMOUNT, null
invoiceVersionstring | nullapprovalRoutingobject | nullShow child attributes
invoiceVersionstring | nullstepsarray | nullShow child attributes
stepOrdernumber | nullkindstring | nullapproverNamestring | nullfallsBackToAdminsboolean | nullstatestring | nullAvailable options: approved, current, waiting, null
approvedByNamestring | nullapprovedByOverrideboolean | nullcurrentStepOrdernumber | nullrequiredApprovalsnumber | nullapprovalsCountednumber | nullwaitingOnstring | nulltotalnumberrequiredstatusCountsobjectrequiredShow child attributes
allnumberrequiredpendingnumberrequiredapprovednumberrequiredcompletednumberrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits